mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
ipv6: true

proxies:
  - name: RU-bp-hub-Reality-8443
    type: vless
    server: v.bp-hub.ru
    port: 8443
    uuid: 0a2eb084-d2bf-42b9-86bf-3cfb3429da70
    network: tcp
    udp: true
    tls: true
    servername: www.cloudflare.com
    reality-opts:
      public-key: d1vyMaQHxfVJVeKpQ0as5A7TtbK20sj0-s5jDvdaoSc
      short-id: edc50babfbbbc2e6
    client-fingerprint: chrome

  - name: KZ-443-RealityEZPZ
    type: vless
    server: edalepamey.beget.app
    port: 443
    uuid: fc987b44-6f9e-47ca-9a80-60e685122437
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.google.com
    reality-opts:
      public-key: anu9Q8VkTfaxbQG3NoKmRNtme9U0G44YIawCERHjGwk
      short-id: 3e4073467e06a4d4
    client-fingerprint: chrome

  - name: FI-443-clean
    type: vless
    server: 135.181.142.168
    port: 443
    uuid: 9f80d963-da0d-49e7-bc79-ab83b672ba20
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    reality-opts:
      public-key: Dzro2xdF6XYP5XDSaRaTfN8DCgbTDENQpLPRn4NXlkM
      short-id: 8dd0fc8701b36f90
    client-fingerprint: chrome

  - name: FI-8443-clean
    type: vless
    server: 135.181.142.168
    port: 8443
    uuid: 1b8772d5-d0da-41ea-8c17-fdbc19b68fed
    network: tcp
    udp: true
    tls: true
    flow: xtls-rprx-vision
    servername: www.microsoft.com
    reality-opts:
      public-key: K149ZOcGSvK0tt8sN4ifYR8GJxNZiFtP9XIaiJfeQ1U
      short-id: 1a4c1f393a5e84d1
    client-fingerprint: chrome

proxy-groups:
  - name: SELECT
    type: select
    proxies:
      - RU-bp-hub-Reality-8443
      - KZ-443-RealityEZPZ
      - FI-443-clean
      - FI-8443-clean

  - name: AUTO
    type: url-test
    url: https://www.gstatic.com/generate_204
    interval: 300
    tolerance: 50
    proxies:
      - RU-bp-hub-Reality-8443
      - KZ-443-RealityEZPZ
      - FI-443-clean
      - FI-8443-clean

rules:
  - MATCH,SELECT

